Page MenuHomePhabricator

Grant James Forrester access to contint-admins and contint-docker, and to the ciadmin LDAP group
Closed, ResolvedPublic0 Estimate Story Points

Description

Needed for work with the Release Engineering team. Namely to be able to deploy Zuul layout configuration, build Docker containers and deploy Jenkins jobs.

Needs to be added to the LDAP group ciadmin for write permissions to Jenkins.

CC'ed to @greg for explicit approval.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2019, 4:58 PM

Change 509891 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/puppet@production] admin: add jforrester to contint-{admins,docker}

https://gerrit.wikimedia.org/r/509891

greg added a comment.May 13 2019, 5:02 PM

Approved on my side, specific thing right now is the node6-node10 migration of CI-related bits.

hashar updated the task description. (Show Details)May 13 2019, 5:02 PM

+1 we also need you to be added to the LDAP group ciadmin which grants write access to the CI Jenkins and thus the ability to create/update Jenkins jobs.

Jdforrester-WMF renamed this task from Grant James Forrester access to contint-admins and contint-docker to Grant James Forrester access to contint-admins and contint-docker, and to the ciadmin LDAP group.May 13 2019, 5:04 PM
ArielGlenn triaged this task as Medium priority.May 15 2019, 8:17 AM

Added to ciadmin ldap group.

Change 509891 merged by ArielGlenn:
[operations/puppet@production] admin: add jforrester to contint-{admins,docker}

https://gerrit.wikimedia.org/r/509891

You should check in about half an hour once the puppet change has made its way around the cluster, to be sure your access is working.

I think I now have access; will confirm for sure tomorrow when I'm in person with Antoine. Thanks!

Volans added a subscriber: Volans.May 20 2019, 4:19 PM

@Jdforrester-WMF did you had a chance to check and confirm it all works fine and this can be resolved?

Jdforrester-WMF closed this task as Resolved.May 20 2019, 4:48 PM
Jdforrester-WMF assigned this task to ArielGlenn.

Yes, let's declare it Resolved. Thank you!